local AddonName, GGL = ...

GGL.dbdefaults = {
	global = {
		Config = {
			Sets = {
				[GGL.SET_ID_LIST.Item] = { -- item
					Base = { name = "Base", setting = "^1^T^t^^", protected = true },
					Test = { name = "Test", setting = "^1^T^Sq^T^N1^B^t^Sq7^T^N0^B^t^t^^", protected = true },
				},
				[GGL.SET_ID_LIST.PriceSource] = { -- PriceSource
					Base = { name = "Base", setting = "^1^T^t^^", protected = true },
					Test = { name = "Test", setting = "^1^T^N1^St5^N2^St5^N3^St5^N4^St5^Ss^Sd^t^^", protected = true },
				},
				[GGL.SET_ID_LIST.Zone or ""] = { -- Zone
					Base = { name = "Base", setting = "^1^T^t^^", protected = true }
				},
				[GGL.SET_ID_LIST.Instance or ""] = { -- Instance
					Base = { name = "Base", setting = "^1^T^t^^", protected = true }
				},
				[GGL.SET_ID_LIST.Set] = { -- Full Set
					Base = { name = "Base", setting = "^1^T^Sd^B^Sz^B^t^^", protected = true },
					Test = { name = "Test", setting = "^1^T^Si^STest^Sp^STest^Sz^B^Sl^STest^Sd^B^t^^", protected = true },
				},
				[GGL.SET_ID_LIST.LootSource] = { -- Source
					Base = { name = "Base", setting = "^1^T^t^^", protected = true },
					Test = { name = "Test", setting = "^1^T^N10^B^N4^B^N2^B^t^^", protected = true },
				},
				LastSelected = {
					["*"] = "Base",
				}
			},
			ItemFilter = {
				Class = {
					Base = { name = "Base", filter = "^1^T^N12^B^t^^" },
				},
				Quality = {
					Base = { name = "Base", filter = "^1^T^t^^" },
				},
				Selected = {
					Class = "Base",
					Quality = "Base",
				},
			},
		},
		Options = {
			set = "Base",
			duration = 60,
		},
		MultiboxOptions = {
			isEndlessTimer = false,
			autoAcceptKey = nil,
			duration = 60,
			mainSet = "Multibox",
			secondItemFilter = "Multibox2",
			inviteList = {},
			sessionID = nil,
			sessions = {},
		},
		ChallengeOptions = {
			isEndlessTimer = false,
			autoAcceptKey = nil,
			duration = 60,
			mainSet = "Base",
			description = "",
			sessionID = nil,
			sessions = {},
		},
		SoloOptions = {
			isEndlessTimer = true,
			duration = 60,
			mainSet = "Base",
			sessionID = nil,
			sessions = {},
		},
		MergeIDNames = {},
		PlayerRegister = {
			["dummy"] = {},
		},
		InstanceResets = {
			locks = {},
			enterCache = {},
		},
		MinimapButton = {
			hide = false,
			locked = false,
			minimapPos = 218,
		},
		-- Devpart
		ErrorLog = {
			MissingZone = {},
			MissingInstance = {},
		},
		AlertRules = {
			disabled = false,
			Rules = {},
		},
		GlobalAlertRules = {
			disabled = false,
			disabledInChallenge = false,
			Rules = {},
		},
		AlertNotify = {
			AlertFrame = {
				frame = {"CENTER"}
			},
		},
		Settings = {
			Main = {
				displayName = nil, -- global displayName
				rewardID = 0,
			},
			FrameControl = {},
			Streamer = {
				enabled = false,
				hideBanner = false,
				title = "",
				battleTag = nil,
			},
			TopItems = {
				numTopItems = 10,
				minGoldValue = 0,
			},
			ShowDestroyGrayButton = true,
			ShowDestroyMessage = false,
			FastAutoLoot = false,
		},
		ErrorLogEnabled = true,
		ErrorLog = {}
	},

}